
Auto Multiple Choice - Bug # 820: Fenêtre de choix de modèle qui plante

Status: Feedback Priority: Normal
Author: To Cau Category: Graphical Interface
Created: 04/15/2022 Assignee:
Updated: 05/12/2022 Due date:
Description: Bonjour,

Avec la version 5.2, lorsque je choisi « Créer un projet » puis que je sélectionne « À partir d'un modèle », la 
fenêtre « Choix d'un modèle » qui s'ouvre fait planter l'application : 
il n'y a rien dans les deux cadres blancs, et l'application est plantée (plus aucun clic ne répond).

History
04/15/2022 04:30 pm - Alexis Bienvenüe
Pouvez-vous essayer en mode débogage (depuis le menu _Aide_), et poster le fichier @log@ produit ?

04/15/2022 04:49 pm - To Cau
Voici :

<pre>
[ 260174,   1.98] [260174]>>
This is AutoMultipleChoice, version 1.5.2 (r:d5fe5a59)
Perl: /usr/bin/perl v5.30.0

========================================

Version: ImageMagick 6.9.10-23 Q16 x86_64 20190101 https://imagemagick.org
Copyright: Â© 1999-2019 ImageMagick Studio LLC
License: https://imagemagick.org/script/license.php
Features: Cipher DPC Modules OpenMP 
Delegates (built-in): bzlib djvu fftw fontconfig freetype jbig jng jpeg lcms lqr ltdl lzma openexr pangocairo png tiff webp wmf x xml zlib
========================================

GraphicsMagick: not found
========================================

[ 260174,   2.03] auto-multiple-choice gui enters debugging mode, PERL_UNICODE=ASL
[ 260174,   2.03] ########################################
[ 260174,   2.03] # DEBUG - ven. 15 avril 2022 16:45:51
[ 260174,   2.03] ########################################
[ 260174,   2.03] GUI module is located at /usr/share/perl5/AMC/Gui/Main.pm
[ 260174,   2.03] DEBUG MODE : ON
[ 260174,   2.49] Reading glade file /usr/share/perl5/AMC/Gui/ProjectManager.glade
[ 260174,   2.64] Found modal dialog: choix_projet
[ 260174,   2.65] Changed directory: /home/to8067ca (utf8)
[ 260174,   2.65] Projects list: /home/to8067ca (utf8)
[ 260174,   2.65] 
F:Modèles:1,anaconda3:1,Téléchargements:1,Vidéos:1,Images:1,Documents:1,Projets-QCM:1,Public:1,texmf:1,install-tl-unx.tar.gz:,Musique:1,Bureau:
1
[ 260174,   2.65] [/home/to8067ca] P:Modèles,anaconda3,Téléchargements,Vidéos,Images,Documents,Projets-QCM,Public,texmf,Musique,Bureau
[ 260174,   2.65] Options file: /home/to8067ca/Bureau/options.xml (utf8)
[ 260174,   2.65] Directory: Bureau (utf8)
[ 260174,   2.65] Options file: /home/to8067ca/Documents/options.xml (utf8)
[ 260174,   2.65] Directory: Documents (utf8)
[ 260174,   2.65] Options file: /home/to8067ca/Images/options.xml (utf8)
[ 260174,   2.65] Directory: Images (utf8)
[ 260174,   2.65] Options file: /home/to8067ca/Modèles/options.xml (utf8)
[ 260174,   2.65] Directory: Modèles (utf8)
[ 260174,   2.65] Options file: /home/to8067ca/Musique/options.xml (utf8)
[ 260174,   2.65] Directory: Musique (utf8)
[ 260174,   2.65] Options file: /home/to8067ca/Projets-QCM/options.xml (utf8)
[ 260174,   2.65] Directory: Projets-QCM (utf8)
[ 260174,   2.65] Options file: /home/to8067ca/Public/options.xml (utf8)
[ 260174,   2.65] Directory: Public (utf8)
[ 260174,   2.65] Options file: /home/to8067ca/Téléchargements/options.xml (utf8)
[ 260174,   2.65] Directory: Téléchargements (utf8)
[ 260174,   2.66] Options file: /home/to8067ca/Vidéos/options.xml (utf8)
[ 260174,   2.66] Directory: Vidéos (utf8)
[ 260174,   2.66] Options file: /home/to8067ca/anaconda3/options.xml (utf8)
[ 260174,   2.66] Directory: anaconda3 (utf8)
[ 260174,   2.66] Options file: /home/to8067ca/texmf/options.xml (utf8)
[ 260174,   2.66] Directory: texmf (utf8)
[ 260174,   3.00] Reading glade file /usr/share/perl5/AMC/Gui/CreateProjectOption.glade
[ 260174,   3.01] Found modal dialog: source_latex_dialog
[ 260174,   3.18] Button new
[ 260174,   3.18] RESPONSE=10
[ 260174,   3.18] OPTION=new
[ 260174,   3.18] Reading glade file /usr/share/perl5/AMC/Gui/CreateProjectModel.glade
[ 260174,   3.19] Found modal dialog: source_latex_modele
*** unhandled exception in callback:
***   
***   unclosed token at line 2, column 104, byte 145 at /usr/lib/x86_64-linux-gnu/perl5/5.30/XML/Parser.pm line 187.
***   XML::Simple called at /usr/share/perl5/AMC/Gui/CreateProject.pm line 224.
***  ignoring at /usr/share/perl5/Gtk3.pm line 572.
</pre>

04/15/2022 04:52 pm - To Cau
En complément voici à quoi ressemble la fenêtre de choix de projet : 

https://imgur.com/lVE2MIq

04/25/2022 11:19 am - Alexis Bienvenüe
- Status changed from New to Feedback

- Priority changed from Urgent to Normal

Cela doit être dû à un modèle défectueux. Pouvez-vous essayer de nouveau avec la nouvelle version de développement ? Ou bien essayer de 
détecter quel est le modèle défectueux (le dernier ajouté ?) et le supprimer, au moins temporairement.

05/12/2022 04:13 pm - To Cau
Je viens de créer un autre modèle, et j'ai toujours le même soucis (v.1.5.2). En supprimant le premier réalisé, ça fonctionne. Il devait effectivement être 
défectueux. Merci à vous.
